Package org.globus.gsi.gssapi.net.impl

# Class GSIGssOutputStream

java.lang.Object
java.io.OutputStream
org.globus.gsi.gssapi.net.GssOutputStream
org.globus.gsi.gssapi.net.impl.GSIGssOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class GSIGssOutputStream extends GssOutputStream

## Field Summary

Fields
Modifier and Type
Field
Description
`protected byte[]`
`header`
`protected int`
`mode`

### Fields inherited from class org.globus.gsi.gssapi.net.GssOutputStream

`autoFlush, buff, context, index, out`

## Constructor Summary

Constructors
Constructor
Description
`GSIGssOutputStream(OutputStream out, GSSContext context)`
`GSIGssOutputStream(OutputStream out, GSSContext context, int mode)`

## Method Summary

Modifier and Type
Method
Description
`void`
`flush()`
`int`
`getWrapMode()`
`void`
`setWrapMode(int mode)`
`void`
`writeToken(byte[] token)`

### Methods inherited from class org.globus.gsi.gssapi.net.GssOutputStream

`close, getAutoFlush, setAutoFlush, wrap, write, write, write`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### header

protected byte[] header

### mode

protected int mode

## Constructor Details

### GSIGssOutputStream

public GSIGssOutputStream(OutputStream out, GSSContext context)

### GSIGssOutputStream

public GSIGssOutputStream(OutputStream out, GSSContext context, int mode)

## Method Details

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Specified by:
  `flush` in class `GssOutputStream`
Throws:
  `IOException`

### setWrapMode

public void setWrapMode(int mode)

### getWrapMode

public int getWrapMode()

### writeToken

public void writeToken(byte[] token) throws IOException

Throws:
  `IOException`